Bug 165932 - Review Request: msmtp - An SMTP Client
Review Request: msmtp - An SMTP Client
Status: CLOSED DUPLICATE of bug 243631
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://msmtp.sourceforge.net
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-14 17:35 EDT by Taylor Stearns
Modified: 2010-11-02 12:49 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-07 00:43:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review-


Attachments (Terms of Use)

  None (edit)
Description Taylor Stearns 2005-08-14 17:35:02 EDT
Spec Url: http://haleph.com/download/rpms/msmtp.spec
SRPM Name or Url: http://haleph.com/download/rpms/msmtp-1.4.3-1.src.rpm

Description: In the default mode, msmtp transmits a mail to an SMTP server (for example at a free mail provider) which does the delivery.  To use this program with your mail user agent (MUA), create a configuration file with your mail account(s) and tell your MUA to call msmtp instead of /usr/sbin/sendmail.
Comment 1 Patrice Dumas 2005-08-17 06:33:09 EDT
Why not use gnu sasl? It brings more features. Is it because gnu sasl doesn't
work on Fedora? I cannot find it in fedora, if it isn't submitted somebody would
have to, however...
Comment 2 Aurelien Bompard 2005-08-24 06:49:55 EDT
Until GNU SASL is published in Fedora, this package work and can be included IMHO.
* Name is OK
* Source msmtp-1.4.3.tar.bz2 is the same as upstream
* The BuildRoot is the preferred one
* Spec looks OK
* rpmlint looks OK
* File list looks OK
* Seems to work fine

One thing though : please change http://prdownloads.sourceforge.net into
http://dl.sourceforge.net so that the tarball can be downloaded automatically.

If GNU SASL is published, please remember to update your package. Does it work
with Cyrus SASL ?
Comment 3 Taylor Stearns 2005-08-25 17:06:35 EDT
Thanks for the comments.  "prdownloads" has been changed to "dl" in the new spec
and SRPM at
http://www.haleph.com/download/rpms/msmtp.spec
and http://www.haleph.com/download/rpms/msmtp-1.4.3-2.src.rpm

I have been unable to find information on interoperability with Cyrus SASL and
am inclined to believe that it is not possible.  I'll be working on a GNUSASL
spec file in the mean time, though it is not my forte.
Comment 4 Aurelien Bompard 2005-09-26 13:44:39 EDT
(assigned to myself for clarity, package already approved)
Comment 5 Aurelien Bompard 2006-02-12 06:06:20 EST
Ping ?
The only diff between release 2 and release 1 is the fixed source URL, so it's
still approved. If you're still interested in this package, please go ahead and
import it.
Comment 6 Taylor Stearns 2006-02-14 17:15:37 EST
I'm not an Extras Contributor and thus cannot commit it, but anybody who has
commit access is welcome to import it.
Comment 7 Rahul Sundaram 2006-02-14 17:20:39 EST
(In reply to comment #6)
> I'm not an Extras Contributor and thus cannot commit it, but anybody who has
> commit access is welcome to import it.

You can become a contributor by going through the process outlined in
http://fedoraproject.org/wiki/Extras. Since you submitted the package for
review, this would be a good starting point. 

Comment 8 Jonathan Underwood 2006-02-14 17:23:24 EST
What does msmtp bring in terms of functionality that is not already supplied by
esmtp (which uses libesmtp, and is available in extras)? Is it worth duplicating
functionality? 
Comment 9 Jonathan Underwood 2006-02-14 17:29:12 EST
Also, it may be worth using the alternatives system to set this as the system
mailer - see the esmtp spec for an example.

But then again, given that neither msmtp and esmtp do local delivery, I wonder
if this breaks things.
Comment 10 Ignacio Vazquez-Abrams 2006-02-14 17:33:40 EST
(In reply to comment #8)
> What does msmtp bring in terms of functionality that is not already supplied by
> esmtp (which uses libesmtp, and is available in extras)? Is it worth duplicating
> functionality? 

Duplicated functionality doesn't matter in Extras, only in Core.
Comment 11 Patrice Dumas 2006-02-14 19:48:02 EST
(In reply to comment #9)
> Also, it may be worth using the alternatives system to set this as the system
> mailer - see the esmtp spec for an example.
> 
> But then again, given that neither msmtp and esmtp do local delivery, I wonder
> if this breaks things.

I do agree that using the alternative system may be a bad thing as there is no
fallback (although I am the esmtp maintainer, so I did it for esmtp ;-), so I
think that the choice to use or not to use the alternative system should be left
to the packager. 
Comment 12 Christian Iseli 2006-03-28 10:42:29 EST
Any particular reason why this package is not yet imported and built ?
Comment 13 Rahul Sundaram 2006-09-27 13:28:29 EDT

This package is already approved and has not been imported for a long time. I am
going to close this in a week if this is not imported within that time frame. 
Comment 14 Jason Tibbitts 2007-05-07 00:43:32 EDT
And eight months later this package still isn't in.  I'm removing FE-ACCEPT and
closing this ticket.
Comment 15 Patrice Dumas 2007-06-29 17:58:14 EDT

*** This bug has been marked as a duplicate of 243631 ***
Comment 16 Nikolay Vladimirov 2009-01-19 05:59:58 EST
Package Change Request
======================
Package Name: msmtp
New Branches: EL-5
Owners: turki
Comment 17 Nikolay Vladimirov 2009-01-19 06:01:19 EST
Sorry about this wrong bug number.

Note You need to log in before you can comment on or make changes to this bug.